## com.sun.jna.platform.unix
Class X11.Xrender.XRenderDirectFormat

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.unix.X11.Xrender.XRenderDirectFormat

Enclosing interface:
  X11.Xrender

    public static class X11.Xrender.XRenderDirectFormat

extends com.sun.jna.Structure

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`short` `alpha`
`short` `alphaMask`
`short` `blue`
`short` `blueMask`
`short` `green`
`short` `greenMask`
`short` `red`
`short` `redMask`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`X11.Xrender.XRenderDirectFormat()`

Method Summary

Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### red

    public short red

### redMask

    public short redMask

### green

    public short green

### greenMask

    public short greenMask

### blue

    public short blue

### blueMask

    public short blueMask

### alpha

    public short alpha

### alphaMask

    public short alphaMask

Constructor Detail

### X11.Xrender.XRenderDirectFormat

    public X11.Xrender.XRenderDirectFormat()